<?xl version="0.1" encoding="UTF-8"?>

<Define> ^language-abb en </Define>
<lang-setup> en English English</lang-setup>

<en>
	<space data=" \t"/>
</en>

<WritingStyle stylename="DefaultStyle-en" 
		childof="DefaultStyle">
<Font fontname="-*-times-medium-r-normal--*-iso8859-1" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-2" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-3" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-4" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-5" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-6" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-7" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-8" method="nearly"/>
<Font fontname="-*-times-medium-r-normal--*-iso8859-9" method="nearly"/>

<Font fontname="times medium" method="nearly"/>
<Font fontname="Lucida Grande" method="nearly"/>
<Font fontname="Times New Roman" method="nearly"/>
<Font fontname="Geneva" method="nearly"/>
</WritingStyle>

<WritingStyle stylename="NormalStyle-en"
		childof="NormalStyle">
<Font fontname="times medium" method="nearly"/>
</WritingStyle>

<vobj type="raw">
<Define> ^en-env (NewEnvironment (CurrentEnvironment)) </Define>

<en-env type="raw">

<!-----------------------------------------------
	GENERAL KEY WORD
------------------------------------------------->
<Define> ^general-ok		OK </Define> <!-- setup -->
<Define> ^general-ok2		OK </Define>
<Define> ^general-cancel	Cancel </Define>
<Define> ^general-yes		Yes </Define>
<Define> ^general-no		No </Define>
<Define> ^general-close		Close </Define>
<Define> ^general-close2	Close </Define>
<Define> ^general-reset		Reset </Define>
<Define> ^general-add		Add </Define>
<Define> ^general-del		Delete </Define>
<Define> ^general-new		New </Define>
<Define> ^general-edit		Edit </Define>
<Define> ^general-browse	Browse </Define>

<Define> ^general-property	Property </Define>
<Define> ^general-time	Time </Define>
<Define> ^general-to	to </Define>
<Define> ^general-untitled	Untitled </Define>
<Define> ^general-details	Details </Define>
<Define> ^general-save		Save </Define>
<Define> ^general-dontsave	^"Don't Save" </Define>

<Define> ^general-authentification	authentification </Define>
<Define> ^general-version-up-info	^"Version up information" </Define>
<Define> ^general-enable	Enable </Define>
<Define> ^general-disable	Disable</Define>
<Define> ^general-description	Description </Define>
<Define> ^general-user-name	^"User Name" </Define>
<Define> ^general-passwd	Password</Define>


<!-----------------------------------------------
	MENU KEY WORDS
------------------------------------------------->

<Define> ^menu-file		File </Define>
<Define> ^menu-new 		New </Define>
<Define> ^menu-quit		Quit </Define>
<Define> ^menu-edit		Edit </Define>
<Define> ^menu-undo		Undo </Define>
<Define> ^menu-redo		Redo </Define>
<Define> ^menu-cut		Cut </Define>
<Define> ^menu-copy		Copy </Define>
<Define> ^menu-paste		Paste </Define>
<Define> ^menu-clear		Clear </Define>
<Define> ^menu-select-all	^"Select All" </Define>
<Define> ^menu-preferences	Preferences... </Define>
<Define> ^menu-warp		Warp </Define>
<Define> ^menu-add-warp		^"Add Warp Point" </Define>
<Define> ^menu-set-iwp		^"Set Home Position" </Define>
<Define> ^menu-edit-warp	^"Edit Warp Point" </Define>
<Define> ^menu-warp-replace-mode ^"Replace Mode" </Define>
<Define> ^menu-warp-insert-mode	^"Insert Mode" </Define>
<Define> ^menu-copy-warp-point	^"Copy Place Info." </Define>
<Define> ^menu-window		^"Window" </Define>
<Define> ^menu-help		^"Help" </Define>
<Define> ^menu-help-GLOBALBASE	^"GLOBALBASE" </Define>
<Define> ^menu-help-download	^"Download Information" </Define>
<Define> ^menu-help-online	^"Online Help" </Define>
<Define> ^menu-help-release	^"Release Note" </Define>
<Define> ^menu-warp-edit-new-group	^"New Warp Group" </Define>
<Define> ^menu-open	^"Open" </Define>
<Define> ^menu-save	^"Save" </Define>
<Define> ^menu-save-as	^"Save As" </Define>
<Define> ^menu-page-setup	^"Page Setup..." </Define>
<Define> ^menu-print	^"Print..." </Define>

<Define> ^menu-about-cosmos	^"about COSMOS...." </Define>


<!-----------------------------------------------
	Dialogs Sentences
------------------------------------------------->

<Define> ^force-to-exit		^"Force To Exit" </Define>


<Define> ^modal-quit-application-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
		Now Quitting the COSMOS ..... ^"\n"
		Saving the cache and warppoint menu etc..... ^"\n"
		Dont force to exit to guarantee complete saveing the information. ^"\n"
	</VxlText>
</Define>

<Define> ^modal-require-save-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		fsize="200"
		ws="NormalStyle"
		xltext.Algorism="VText">
		
		Do you save
		" ($ (GE ([GE path="msg0"] data) 1)) " ?
	</VxlText>
</Define>

<Define> ^modal-require-save-untitled-sentence ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
		This file is not saved. ^"\n"
		Do you save it?
	</VxlText>
</Let>
</Define>

<Define> ^modal-already-exist-file-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
		The file  ^"\n"
		" ($ (GE ([GE path="msg0"] data) 1)) " 
		^"\n"
		is alreay exist. ^"\n"
		Change the file name...
	</VxlText>
</Define>

<Define> ^modal-cannot-open-file-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		fsize="200"
		ws="NormalStyle"
		xltext.Algorism="VText">
		
		Cannot save the file ^"\n"
		" ($ (GE ([GE path="msg0"] data) 1)) " 
		^"\n"
		Because some reason such as permission.
		^"\n"
		Please change the file name or directory.
	</VxlText>
</Define>


<Define> ^modal-auth ^"Authentify" </Define>

<Define> ^modal-authentification-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
		For accessing all of the the coordinate resource ^"\n"
		($ (GE ([GE path="msg0"] data) 1)) ^"\n"
		You need to be enable the all or part of the following authentifications
	</VxlText>
</Define>



<Define> ^modal-authentification-unsupport-sentence ()
<Arguments>
	^data
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
		The type ($ data) authentification is not supported
		^"\n"
		this version of COSMOS.
		Version up is recommended.
	</VxlText>
</Define>

<Define> ^authentification-status	Status: </Define>
<Define> ^authentification-deny		DENY </Define>
<Define> ^authentification-accept	ACCEPT </Define>
<Define> ^authentification-required	REQUIRED </Define>


<Define> ^modal-authentification-header-sentence-1 ()
<Arguments>
	^name ^type
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
	Service Name: ($ name)
	^"\n"
	Authentification Type: ($ type)
	</VxlText>
</Define>


<Define> ^modal-authentification-fix-user-passwd-sentence ()
<Arguments>
</Arguments>
	<VxlText visible="1"
		ps-flags="text"
		ws="NormalStyle"
		fsize="200"
		xltext.Algorism="VText">
		
	Input user name and password and 
	^"\n"
	Enable the upper popup status button.
	</VxlText>
</Define>

<!-----------------------------------------------
	Preferences Window KEY WORDS
------------------------------------------------->

<Define> ^window-preferences-descriptor		Preferences
</Define>
<Define> ^window-preferences-language		Language
</Define>
<Define> ^window-preferences-theme		Theme
</Define>
<Define> ^window-preferences-appearance		Appearance
</Define>
<Define> ^window-preferences-proxy		Proxy
</Define>
<Define> ^window-preferences-cache		Cache
</Define>
<Define> ^window-preferences-home-initial-point	^"How to define the home position"
</Define>
<Define> ^window-preferences-home-initial-point-edit	
	^"Editing Position"
</Define>
<Define> ^window-preferences-home		Home
</Define>
<Define> ^window-preferences-default-condition	^"Navigation Condition"
</Define>
<Define> ^window-preferences-mappath-cache	^"Mapping Path Cache"
</Define>
<Define> ^window-preferences-resource-cache	^"Resource Cache"
</Define>
<Define> ^window-preferences-proxy-http		^"HTTP Proxy"
</Define>
<Define> ^window-preferences-proxy-native	^"XL Native Proxy"
</Define>
<Define> ^window-preferences-proxy-gateway	Gateway
</Define>
<Define> ^window-preferences-proxy-off		^"Disable Proxy"
</Define>
<Define> ^window-preferences-proxy-direct	^"XL over HTTP"
</Define>
<Define> ^window-preferences-proxy-on		^"Enable Proxy"
</Define>
<Define> ^window-preferences-proxy-gateway-on	^"Enable Gateway"
</Define>
<Define> ^window-preferences-proxy-gateway-off	^"Disanable Gateway"
</Define>
<Define> ^window-preferences-proxy-direct-setup
		^"Network session using XL over HTTP protocol"
</Define>

<Define> ^window-preferences-home-use-initial-warp-file
		^"Using warp"
</Define>
<Define> ^window-preferences-home-use-default-condition
		^"Using Home URL and Navigation Condition"
</Define>


<Define> ^window-preferences-language-setup ()
<Arguments/>
<Let>
<Sub><value> (lang-no) </value></Sub>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">
		Setupping the standard language of menu etc. to 
		^"\n"
		<VPopupButton name="window-preferences-setLang"
				descriptor="selLang"
				fsize="100"
				value="^value">
			(lang-list)
		</VPopupButton>
		.
	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-theme-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">
		Loading the theme of cosmos application ^"\n"
		from the following file...
	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-home-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">
		Input the first access posiotion 
		^"(" URL of map coordinate ^")"
		^"\n"
		at the opening the navigation window.		
	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-default-condition-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">

		Editing The Default Navigation Condition ^"\n"
		that setup at the opening the navigation window
	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-mappath-cache-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">

	<VRadioButton name="windows-preferences-mappath-cache-off" 
			descriptor="Disable" ws="TitleStyle"/>
	^"\n"
	^"Don't use whole of mapping path cache mechanisum \n"

	<VRadioButton name="windows-preferences-mappath-cache-wr"
			group="windows-preferences-mappath-cache-off"
			descriptor="Enable writing cache" 
			ws="TitleStyle"/>
	^"\n"
	^"Mapping pathes are writen into the cache,\n"
	^"which are directry referenced from network\n"

	<VRadioButton name="windows-preferences-mappath-cache-on"
			group="windows-preferences-mappath-cache-off"
			descriptor="Enable" ws="TitleStyle"/>
	^"\n"
	^"Enable the operation to write into and read from the cache\n"

	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-resource-cache-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">

	<VRadioButton name="windows-preferences-resource-cache-off" 
			descriptor="Disable" ws="TitleStyle"/>
	^"\n"
	^"Don't use whole of resource cache mechanisum \n"

	<VRadioButton name="windows-preferences-resource-cache-wr"
			group="windows-preferences-resource-cache-off"
			descriptor="Enable writing cache" 
			ws="TitleStyle"/>
	^"\n"
	^"resources are writen into the cache,\n"
	^"which are directry referenced from network\n"

	<VRadioButton name="windows-preferences-resource-cache-on"
			group="windows-preferences-resource-cache-off"
			descriptor="Enable" ws="TitleStyle"/>
	^"\n"
	^"Enable the operation to write into and read from the cache\n"

	</VxlText>
</Let>
</Define>


<Define> ^window-preferences-proxy-server-setup ()
<Arguments>
	^window-preferences-proxy-server
	^window-preferences-proxy-port
	^window-preferences-proxy-dservers
</Arguments>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">

	Access the GB server using the following proxy server.
	^"\n"
	proxy server:
	<VEditText name="^window-preferences-proxy-server"
			min_size="200,10"
			descriptor=""/>
	port No.:
	<VEditText name="^window-preferences-proxy-port"
			descriptor="8080"/>
	^"\n"
	Please list up the server to have to access directry.
	^"\n"
	<VxlEditLine name="^window-preferences-proxy-dservers"
			min_size="300,200"
			xleditline.Items="edit:tree"
			xleditline.WritingDirection="H-L2R"
			xleditline.AddDescriptor="^general-add"
			xleditline.DelDescriptor="^general-del"
			xleditline.BroDescriptor="^general-browse"
			descriptor="">
		()
	</VxlEditLine>

	</VxlText>
</Let>
</Define>

<Define> ^window-preferences-proxy-gateway-setup ()
<Arguments/>
<Let>
	<VxlText visible="1"
		ps-flags="text"
		fsize="120"
		ws="NormalStyle"
		xltext.Algorism="VText">

	Gateway is the mechanism to run the function of
	^"\n"
	cosmos on the remote gateway as following setup.
	^"\n"
	But there is limit of implemented function on the gateway.
	^"\n\n"
	Gateway Server:
	<VEditText name="window-preferences-gateway-server"
			min_size="200,10"
			descriptor=""/>
	Port No.:
	<VEditText name="window-preferences-gateway-port"
			descriptor="8080"/>
	^"\n"
	</VxlText>
</Let>
</Define>


<!-----------------------------------------------
	main window key words
------------------------------------------------->

<Define> ^window-main-coodinates		^"Displayed Coordinates"
</Define>
<Define> ^window-main-conditions		^"Searching Conditions"
</Define>


<!-----------------------------------------------
	Search Condition Window Key words
------------------------------------------------->

<Define> ^qind-edit-window-name		^"Query Edit Window"
</Define>

<Define> ^qind-edit-window-URL		^"URL Search"
</Define>
<Define> ^qind-edit-window-URL-doc
	^"Cosmos engine searches the coordinates given URL."
</Define>
<Define> ^qind-edit-window-property	^"GB Property Search"
</Define>
<Define> ^qind-edit-window-property-doc
	^"Cosmos engine searches the coordinates given GB property and time or area boundary."
</Define>
<Define> ^qind-edit-window-title		^"Title of this query"
</Define>


<!-----------------------------------------------
	Warp Menu Editing Window Key words
------------------------------------------------->

<Define> ^wpme-window-title	^"Warp Menu Edit" </Define>
<Define> ^wpme-infoItem		^"Item" </Define>
<Define> ^wpme-infoContent	^"Value" </Define>
<Define> ^wpme-infoMenuTitle	^"Menu Title" </Define>
<Define> ^wpme-infoLinkMenu	^"Menu Link (URL)" </Define>
<Define> ^wpme-infoType		^"Type" </Define>
<Define> ^wpme-infoTitle	^"Title of the Base Coordinate System" </Define>
<Define> ^wpme-infoTracking	^"Tracking Time" </Define>
<Define> ^wpme-infoResolution	^"Displayed Resolution" </Define>
<Define> ^wpme-infoRotate	^"Rotation (Radian)" </Define>
<Define> ^wpme-infoCenter_x	^"Center X Coordinate" </Define>
<Define> ^wpme-infoCenter_y	^"Center Y Coordinate" </Define>
<Define> ^wpme-infoBase		^"Base Coordinate System URL" </Define>
<Define> ^wpme-infoLockBase	^"Locked Base Coordinate System URL" </Define>
<Define> ^wpme-infoLayerEntry	^"URL" </Define>
<Define> ^wpme-infoLayerFlags	^"Visible" </Define>
<Define> ^wpme-LoadMenuLink	^"Load" </Define>
<Define> ^wpme-UnloadMenuLink	^"Unload" </Define>
<Define> ^wpme-OpenInIndWindow	^"Open" </Define>
<Define> ^wpme-WPConfigure	^"Warp Menu Configuration" </Define>


<!-----------------------------------------------
	HELP URL
------------------------------------------------->

<Define> ^help-URL-online ^"http://www.globalbase.org/globalbase/man/html/en-index.html"</Define>
<Define> ^help-URL-release (+ "http://www.globalbase.org/globalbase/man/html/ja-bugs-report/"
				VersionPattern2
				"/index.html") </Define>


</en-env>



<vobjTarget> 
<ObjectList append="off"> ^opening-win </ObjectList>
	<VxlText 	refer="text"
			ps-flags="text">
		Complete the English language setup ^"\n"
	</VxlText>
</vobjTarget>
</vobj>
